
%global name qlcplus
# This is the name of the github repo
%global github mcallegari/qlcplus
# This is the git tag in the github repo
%global version QLC+_4.12.6
# This is the version in X.Y.Z format
%global short_version 4.12.6

Name: %{name}
Summary: Q Light Controller Plus - The free DMX lighting console
Version: %{version}
Release: 1
License: Apache License, Version 2.0
URL: https://github.com/%{github}
# E.g. https://github.com/mcallegari/qlcplus/archive/QLC+_4.12.6.tar.gz
Source0: %{url}/archive/%{version}.tar.gz

BuildRequires: gcc-c++ pkg-config
BuildRequires: qt5-qtbase-devel, qt5-qttranslations, qt5-qtconfiguration-devel
BuildRequires: qt5-qtmultimedia-devel, qt5-qtscript-devel, alsa-lib, qt5-linguist
BuildRequires: desktop-file-utils, libusb1-devel, libftdi-devel, alsa-lib-devel >= 1.0.23
BuildRequires: libudev-devel, fftw3-devel
BuildRequires: libsndfile-devel, libmad-devel, dos2unix

Requires: qt5-qtbase, qt5-qtscript, qt5-qtmultimedia

%description
QLC+ is a fork of the great QLC project written
by Heikki Junnila. This project aims to continue
the development of QLC and to introduce new features.
The primary goal is to bring QLC+ at the level
of other lighting control commercial softwares.

%prep
%autosetup -n %{name}-QLC-_%{short_version} -p 1

%build
%qmake_qt5
%make_build

%install
INSTALL_ROOT=%{buildroot} %make_install

%files
%license COPYING
%{_mandir}/man1/qlcplus-fixtureeditor.1.gz
%{_mandir}/man1/qlcplus.1.gz
%doc /usr/share/qlcplus/documents/*

%{_bindir}/qlcplus
%{_bindir}/qlcplus-fixtureeditor

%{_libdir}/libqlcplusengine.so
%{_libdir}/libqlcplusengine.so.*
%{_libdir}/libqlcplusui.so
%{_libdir}/libqlcplusui.so.*
%{_libdir}/libqlcpluswebaccess.so
%{_libdir}/libqlcpluswebaccess.so.*

%{_datadir}/mime/packages/qlcplus.xml
%{_datadir}/qlcplus/fixtures/*
%{_datadir}/qlcplus/inputprofiles/*
%{_datadir}/qlcplus/rgbscripts/*
%{_datadir}/qlcplus/Sample.qxw
%{_datadir}/qlcplus/gobos/*
%{_datadir}/qlcplus/miditemplates/*
%{_datadir}/qlcplus/modifierstemplates/*
%{_datadir}/qlcplus/web/*
%{_datadir}/applications/*
%{_datadir}/metainfo/*
%{_datadir}/pixmaps/*

%{_libdir}/qt5/plugins/qlcplus/audio/libmadplugin.so
%{_libdir}/qt5/plugins/qlcplus/audio/libsndfileplugin.so
%{_libdir}/qt5/plugins/qlcplus/libartnet.so
%{_libdir}/qt5/plugins/qlcplus/libdmx4linux.so
%{_libdir}/qt5/plugins/qlcplus/libdmxusb.so
%{_libdir}/qt5/plugins/qlcplus/libe131.so
%{_libdir}/qt5/plugins/qlcplus/libenttecwing.so
%{_libdir}/qt5/plugins/qlcplus/libhidplugin.so
%{_libdir}/qt5/plugins/qlcplus/libloopback.so
%{_libdir}/qt5/plugins/qlcplus/libmidiplugin.so
%{_libdir}/qt5/plugins/qlcplus/libos2l.so
%{_libdir}/qt5/plugins/qlcplus/libosc.so
%{_libdir}/qt5/plugins/qlcplus/libpeperoni.so
%{_libdir}/qt5/plugins/qlcplus/libspi.so
%{_libdir}/qt5/plugins/qlcplus/libudmx.so

%{_sysconfdir}/udev/rules.d/z65-anyma-udmx.rules
%{_sysconfdir}/udev/rules.d/z65-dmxusb.rules
%{_sysconfdir}/udev/rules.d/z65-fx5-hid.rules
%{_sysconfdir}/udev/rules.d/z65-peperoni.rules
%{_sysconfdir}/udev/rules.d/z65-spi.rules

%changelog
* Tue Sep 20 2022 Christoph Muellner <cmuellner@gcc.gnu.org> 4.12.6
- Update to QLC+ 4.12.6

* Tue Aug 31 2021 Christoph Muellner <cmuellner@gcc.gnu.org> 4.12.4
- Update to QLC+ 4.12.4
